> ## Documentation Index
> Fetch the complete documentation index at: https://integrations.docs.commenda.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Tax Rates

> Retrieve all tax rates from the database.

**The Tax Rates Data Model** is designed to provide a unified representation of tax rates across various accounting platforms.


## OpenAPI

````yaml GET /accounting/tax_rates
openapi: 3.0.1
info:
  title: rootfi
  version: v3
servers:
  - url: https://api.rootfi.dev/v3
    description: global
  - url: https://api.sa.rootfi.dev/v3
    description: saudi
security: []
paths:
  /accounting/tax_rates:
    get:
      tags:
        - AccountingTaxRates
      summary: Get All Tax Rates
      description: Retrieve all tax rates from the database.
      operationId: accounting_taxRates_list
      parameters:
        - name: limit
          in: query
          description: The number of objects you want to retrieve
          required: false
          schema:
            type: integer
            nullable: true
          examples:
            Example1:
              value: 10
        - name: next
          in: query
          description: The next page of objects to retrieve
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: eyJyb290ZmlfaWQiOjQ0MDA2MX0=
        - name: prev
          in: query
          description: The previous page of objects to retrieve
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: eyJyb290ZmaaqaWQiOjQ0MDA2MX0=
        - name: select
          in: query
          description: >-
            Comma separated fields to select. Supported values are raw_data,
            data_hash
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: raw_data
        - name: rootfi_updated_at[gte]
          in: query
          description: Filter by rootfi_updated_at Greater than or Equal To.
          required: false
          schema:
            type: string
            nullable: true
        - name: rootfi_company_id[eq]
          in: query
          description: >-
            Filter by rootfi_company_id. You can filter by any field using this
            syntax field_name[operator]
          required: false
          schema:
            type: integer
            nullable: true
          examples:
            Example1:
              value: 111
        - name: include_deleted_records
          in: query
          description: >-
            Include deleted records. By default, deleted records are not
            included. Supported values are true and false
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: 'false'
        - name: return_count
          in: query
          description: Return the count of the objects. Supported values are true and false
          required: false
          schema:
            type: string
            nullable: true
          examples:
            Example1:
              value: 'false'
        - name: sort[rootfi_created_at]
          in: query
          description: Sort by rootfi_created_at
          required: false
          schema:
            $ref: '#/components/schemas/SortOrder'
            nullable: true
        - name: sort[rootfi_updated_at]
          in: query
          description: Sort by rootfi_updated_at
          required: false
          schema:
            $ref: '#/components/schemas/SortOrder'
            nullable: true
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/accountingGetTaxRatesResponse'
              examples:
                Example1:
                  value:
                    data:
                      - rootfi_id: 25177
                        rootfi_deleted_at: null
                        rootfi_created_at: '2024-01-24T11:12:02.641Z'
                        rootfi_updated_at: '2024-01-24T11:12:02.000Z'
                        rootfi_company_id: 1109
                        platform_id: '123456_1'
                        platform_unique_id: '123456'
                        total_tax_rate: null
                        name: Victoria Wilson
                        code: '6609425'
                        updated_at: '2023-12-21T10:14:26.353Z'
                        components:
                          - name: Victoria Wilson
                            rate: null
                            tax_agency: null
                            is_compound: false
                        effective_tax_rate: null
                        tax_type: VAT
                    next: eyJyb290ZmlfaWQiOjQ0MDA2MX0=
                    prev: eyJyb290ZmaaqaWQiOjQ0MDA2MX0=
        '401':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '403':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '404':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
        '500':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RootFiAPIResponseType'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SortOrder:
      title: SortOrder
      type: string
      enum:
        - ASC
        - DESC
    accountingGetTaxRatesResponse:
      title: accountingGetTaxRatesResponse
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/accountingTaxRateObject'
          description: The list of tax rates
        next:
          type: string
          nullable: true
          description: The next page of objects to retrieve
        prev:
          type: string
          nullable: true
          description: The prev page of objects to retrieve
      required:
        - data
    RootFiAPIResponseType:
      title: RootFiAPIResponseType
      type: object
      properties:
        error:
          $ref: '#/components/schemas/RootFiAPIResponseErrorType'
          description: The error message
      required:
        - error
    accountingTaxRateObject:
      title: accountingTaxRateObject
      type: object
      properties: {}
      allOf:
        - $ref: '#/components/schemas/AccountingRootFiBaseFields'
        - $ref: '#/components/schemas/accountingTaxRateFields'
    RootFiAPIResponseErrorType:
      title: RootFiAPIResponseErrorType
      type: object
      properties:
        message:
          type: string
          description: The error message
        code:
          type: string
          description: The error code
        field:
          type: string
          description: The status of the error
      required:
        - message
        - code
        - field
    AccountingRootFiBaseFields:
      title: AccountingRootFiBaseFields
      type: object
      properties:
        rootfi_id:
          type: number
          format: double
          description: The unique ID we assign for that data's information
          example: 157
        rootfi_deleted_at:
          type: string
          format: date-time
          nullable: true
          description: The date at which the data was deleted in the accounting platform
        rootfi_created_at:
          type: string
          format: date-time
          description: The date at which RootFi first synced this data
          example: '2024-01-22T05:07:31.465Z'
        rootfi_updated_at:
          type: string
          format: date-time
          description: The latest date at which RootFi updated this data
          example: '2024-01-22T05:07:31.000Z'
        rootfi_company_id:
          type: number
          format: double
          description: The ID of the company in the accounting platform
          example: 1089
        platform_id:
          type: string
          description: An unique custom RootFi ID made from platform's unique_id.
          example: '123456'
        platform_unique_id:
          type: string
          nullable: true
          description: The ID of the data in the accounting platform.
        raw_data:
          type: object
          additionalProperties: true
          nullable: true
          description: >-
            A JSON containing fields that you can directly get from the
            accounting platform.
        data_hash:
          type: string
          nullable: true
          description: The hash of the data
      required:
        - rootfi_id
        - rootfi_created_at
        - rootfi_updated_at
        - rootfi_company_id
        - platform_id
    accountingTaxRateFields:
      title: accountingTaxRateFields
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: Display name
        code:
          type: string
          nullable: true
          description: Simple ID for the tax rate
        tax_type:
          type: string
          nullable: true
          description: The type of tax as mentioned in the accounting platform
        effective_tax_rate:
          type: number
          format: double
          nullable: true
          description: >-
            The total tax rate after accounting for the compounding effects of
            the all tax components
        total_tax_rate:
          type: number
          format: double
          nullable: true
          description: The sum of all the tax rate components
        components:
          type: array
          items:
            $ref: '#/components/schemas/accountingTaxRateComponent'
          nullable: true
          description: The list of tax rate components
        updated_at:
          type: string
          nullable: true
          description: The last time the tax rate was updated
    accountingTaxRateComponent:
      title: accountingTaxRateComponent
      type: object
      properties:
        name:
          type: string
          nullable: true
          description: Display name
        rate:
          type: number
          format: double
          nullable: true
          description: >-
            The total tax rate after accounting for the compounding effects of
            the all tax components
        tax_agency:
          type: string
          nullable: true
          description: The tax agency of the tax rate component
        is_compound:
          type: boolean
          nullable: true
          description: Whether the tax rate component is compound
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: api_key

````